Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79029 - Option Flags ignored
Summary: Option Flags ignored
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 18:08 UTC by J. Lucha
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-04 18:08:35 UTC


Attachments (Terms of Use)

Description J. Lucha 2002-12-04 18:08:28 UTC
Description of Problem:

When manual adding option flags to either ServerFlags or ServerLayout, they
don't work.  Also issueing the related xset command after logging in also
doesn't work.

Version-Release number of selected component (if applicable):

4.2.0-72

How Reproducible:

Very.  I can do this on 4 machines.

Steps to Reproduce:
1. Disable all power management in the computer Bios
2. Edit /etc/X11/XF86Config and in either the  "ServerLayout" or "ServerFlags"
section add the following option lines:
        Option "BlankTime" "0"
        Option "StandbyTime" "0"
        Option "SuspendTime" "0"
        Option "OffTime" "0"
3. Restart X Server
4. Alternatively instead of steps 2 and 3, you can use the equivalent
xset commands, such as 'xset s off'

Actual Results:

Screen blanking still occurs.

Expected Results:

No screen blanking.

Additional Information:
	
Works in RH 7.3

Comment 1 Mike A. Harris 2002-12-05 01:53:55 UTC
This is not an X bug.  These options merely set the *default* state
of DPMS in the X server.  It does not disable DPMS from being available.

Other applications such as xset, xscreensaver, and whatever else wants
to, has full access to the X API to enable DPMS or disable it, or set
the timeouts at will.  You need to make sure nothing else is enabling
DPMS if you do not want DPMS.

To test this and prove it is not an X bug, quit X out to the commandline
then configure the DPMS settings how you would like them in the X config
file.  Now start up the X server in the raw by typing "X" alone on the
commandline instead of "startx".  This wil start *just* the X server
by itself, and display a black screen with an "X" cursor in the middle,
and sit there.

Leave it sit there, and observe that DPMS does not kick in, or if you
do configure a particular DPMS setting in the config, observe that
it does work as advertised.

You need to disable DPMS in the GUI environment you are using.

Closing NOTABUG


Note You need to log in before you can comment on or make changes to this bug.